## org.pentaho.reporting.libraries.formula.operators
Class DefaultOperatorFactory

    java.lang.Object
      org.pentaho.reporting.libraries.formula.operators.DefaultOperatorFactory

All Implemented Interfaces:
  OperatorFactory

    public class DefaultOperatorFactory

extends java.lang.Object
implements OperatorFactory

Creation-Date: 02.11.2006, 12:29:27

Author:
  Thomas Morgner

Constructor Summary
`DefaultOperatorFactory()`

Method Summary
`InfixOperator` `createInfixOperator(java.lang.String operator)`
`PostfixOperator` `createPostfixOperator(java.lang.String operator)`
`PrefixOperator` `createPrefixOperator(java.lang.String operator)`
`void` `initalize(Configuration configuration)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultOperatorFactory

    public DefaultOperatorFactory()

Method Detail

### initalize

    public void initalize(Configuration configuration)

  Specified by:
    `initalize` in interface `OperatorFactory`

### createInfixOperator

    public InfixOperator createInfixOperator(java.lang.String operator)

  Specified by:
    `createInfixOperator` in interface `OperatorFactory`

### createPostfixOperator

    public PostfixOperator createPostfixOperator(java.lang.String operator)

  Specified by:
    `createPostfixOperator` in interface `OperatorFactory`

### createPrefixOperator

    public PrefixOperator createPrefixOperator(java.lang.String operator)

  Specified by:
    `createPrefixOperator` in interface `OperatorFactory`